View Issue Details

IDProjectCategoryView StatusLast Update
0037255LazarusPackagespublic2020-06-29 15:26
ReporterChris Rorden Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacBook 2012 Retina 13"OSDarwin 
Product Version2.1 (SVN) 
Summary0037255: Unable to install multithreadprocs package with FreePascal 3.2.0
DescriptionFreePascal 3.2.0 reports FPC_FULLVERSION = 30200 and for SysCtl it expect pcint instead of the older pchar. The file mtpcpu.pas fails to compile. I would suggest changing
  PSysCtl = {$IF FPC_FULLVERSION>30300}pcint{$ELSE}pchar{$ENDIF};
to read
  PSysCtl = {$IF FPC_FULLVERSION>30199}pcint{$ELSE}pchar{$ENDIF};
in order to support FreePascal 3.2.
Steps To ReproduceFrom Lazarus, choose to Install a Package from the "Package" menu. Select the multithreadprocs and attempt to build Lazarus.
TagsNo tags attached.
Fixed in Revision63462
LazTarget-
Widgetset
Attached Files

Activities

Dmitry Boyarintsev

2020-06-28 17:19

developer   ~0123654

please test and close if ok

Issue History

Date Modified Username Field Change
2020-06-25 18:42 Chris Rorden New Issue
2020-06-28 17:19 Dmitry Boyarintsev Fixed in Revision => 63462
2020-06-28 17:19 Dmitry Boyarintsev LazTarget => -
2020-06-28 17:19 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-06-28 17:19 Dmitry Boyarintsev Status new => resolved
2020-06-28 17:19 Dmitry Boyarintsev Resolution open => fixed
2020-06-28 17:19 Dmitry Boyarintsev Note Added: 0123654
2020-06-29 15:26 Chris Rorden Status resolved => closed